import 'package:flutter/material.dart';
import 'package:flutter_inappwebview/flutter_inappwebview.dart';
import 'package:get/get.dart';
import 'package:wallpaper/pages/webviewpage/webviewpage_controller.dart';

class WebviewPageView extends GetView <WebviewPageController> {
  const WebviewPageView({super.key});

  @override 
  Widget build(BuildContext context) {
    return Obx(() =>  Scaffold(
      appBar: AppBar(
        centerTitle: true,
        title:  Text(controller.titleStr.value),
      ),
      body: InAppWebView(
                    initialUrlRequest: URLRequest(url: WebUri.uri(Uri.parse(controller.urlStr.value))),
                    ),
    ));
  }
}